Error while loading dynamic library after new install

CodeLite's announcements
brian
CodeLite Enthusiast
Posts: 19
Joined: Sat Jun 04, 2011 6:22 pm
Genuine User: Yes
IDE Question: C++
Contact:

Error while loading dynamic library after new install

Post by brian » Wed Sep 14, 2011 8:22 pm

After installation of the new CodeLite on Feora15 I get the following error when trying to build

error while loading shared libraries: /usr/lib/libbfd-2.21.51.0.6-2.fc15.so: file too short

This was the same error I got when trying to install the update while in CodeLite. Searching the forum I saw that there was a special installer for Fedora 15 and I exited Codelite and installed that. IT was successful. I opened the new CodeLite, saw the new flash screen, and tried to build. And I got the error during the make stage:

ar rcus ./Debug/libASN1.a ./Debug/src_AareApdu.o ./Debug/src_AarqApdu.o ... (plus many more object files)
ar: error while loading shared libraries: /usr/lib/libbfd-2.21.51.0.6-2.fc15.so: file too short
make[1]: *** [Debug/libASN1.a] Error 127

User avatar
eranif
CodeLite Plugin
Posts: 5888
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: Error while loading dynamic library after new install

Post by eranif » Wed Sep 14, 2011 8:30 pm

I am not familiar with this error, but I do think that this error is not really related to codelite:

Code: Select all

ar: error while loading shared libraries: /usr/lib/libbfd-2.21.51.0.6-2.fc15.so: file too short
The way I read: ar is having a problem ...

What happen if you run the exact command from a command line? does it work?

Eran
Make sure you have read the HOW TO POST thread

Post Reply